MSMEResult Udyam Aadhaar

Get Udyam Aadhaar Result

Retrieve the result of an asynchronous Udyam Aadhaar verification.

curl -X GET "https://production.deepvue.tech/v1/verification/async/get-udyam-details?request_id=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -H "x-api-key: YOUR_API_KEY"
{
  "action": "verify_with_source",
  "completed_at": "2025-01-30T14:00:55+05:30",
  "created_at": "2025-01-30T14:00:33+05:30",
  "error": "BAD_REQUEST",
  "group_id": "8e16424a-58fc-4ba4-ab20-5bc8e7c3c41e",
  "message": "Please enter a valid UAM number",
  "request_id": "2db0ab31-ce7c-47f3-8488-f2298fc2a811",
  "status": "failed",
  "task_id": "3431c00d-64f7-47c4-acf5-55620d37beeb",
  "type": "udyam_aadhaar"
}
GET
/v1/verification/async/get-udyam-details
GET
Bearer Token (JWT)
Bearer Tokenstring
Required

ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .

ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
API Key (header: x-api-key)
x-api-keystring
Required

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .

header
x-api-keystring
Required

API Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

Query Parameters

Responses

actionstring
completed_atstring
created_atstring
errorstring
group_idstring
messagestring
request_idstring
statusstring
task_idstring
typestring

Overview

This API gives you back the complete result and verification details against your request ID received in the previous step. The endpoint retrieves asynchronous Udyam Aadhaar verification results using a previously obtained request identifier from an initial verification submission.

These are asynchronous endpoints that return a request ID and employ webhook mechanisms to deliver responses to your servers. The request ID can subsequently be used with the GET API to retrieve the verification outcome.